package jp.co.riiiver.sdk.sample

import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.fragment.app.Fragment
import com.riiiver.sdk.ersdk.ERApplet
import com.riiiver.sdk.ersdk.ERPersonalInformationView
import com.riiiver.sdk.ersdk.ERPersonalInformationViewDelegate
import kotlinx.android.synthetic.main.fragment_news.*
import kotlinx.android.synthetic.main.fragment_personal_info.*
import kotlinx.android.synthetic.main.fragment_store.back
import timber.log.Timber

class NewsInfoFragment : Fragment(){

    override fun onCreateView(
        inflater: LayoutInflater,
        container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View? {
        return inflater.inflate(R.layout.fragment_news, container, false)
    }

    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        Timber.d("in")
        back.setOnClickListener {
            Timber.d("back")
            back()
        }
        RiiiverSDKManager.showNews(webNews)
    }

    private fun back() {
        parentFragmentManager.popBackStack()
    }
}